import 'dart:math';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:gameolive/GameOliveWindow.dart';
import 'package:gameolive/gameolive.dart';
import 'package:gameolive/models/launchConfig.dart';

import 'components/top_bar.dart';

class GameView extends StatelessWidget {
  final LaunchConfig? launchConfig;
  final Gameolive instance;
  final Function(bool)? onRoundStarted;
  final Function(bool)? onGoToHome;

  const GameView(
      {this.launchConfig,
      required this.instance,
      this.onRoundStarted,
      this.onGoToHome});
  @override
  Widget build(BuildContext context) {
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.landscapeRight,
      DeviceOrientation.landscapeLeft,
    ]);
    return Container(
        decoration: const BoxDecoration(
            // image: DecorationImage(
            //   image: AssetImage("assets/lobby/base_background.png"),
            //   fit: BoxFit.cover,
            // ),
            ),
        child: SafeArea(
            top: false,
            left: false,
            bottom: false,
            right: false,
            child: Scaffold(
                backgroundColor: Colors.transparent,
                body: LayoutBuilder(builder:
                    (BuildContext context, BoxConstraints constraints) {
                  Size referenceSize = const Size(1280, 720);
                  var ratio = min(constraints.maxWidth / referenceSize.width,
                      constraints.maxHeight / referenceSize.height);

                  return Align(
                      alignment: Alignment.topCenter,
                      child: SizedBox(
                          // color: Colors.amber,
                          // decoration: const BoxDecoration(
                          //   color: Colors.black,
                          //   image: DecorationImage(
                          //     image: AssetImage("assets/lobby/base_background.png"),
                          //     fit: BoxFit.cover,
                          //   ),
                          // ),
                          width: referenceSize.width * ratio,
                          height: referenceSize.height * ratio,
                          child: Column(
                              mainAxisAlignment: MainAxisAlignment.spaceBetween,
                              children: [
                                TopBar(
                                    referenceSize: referenceSize, ratio: ratio),
                                // SizedBox(
                                //     height: MediaQuery.of(context).size.height,
                                //     width: MediaQuery.of(context).size.width,
                                //     child:
                                Expanded(
                                  child: GameOliveWindow(
                                      instance: instance,
                                      gameLaunchConfig: launchConfig,
                                      onRoundStarted: onRoundStarted,
                                      onGoToHome: onGoToHome),
                                )
                                //)
                              ])));
                }))));
  }
}
