import 'package:flutter/material.dart';

class BottomBar extends StatelessWidget {
  const BottomBar({
    Key? key,
    required this.referenceSize,
    required this.ratio,
  }) : super(key: key);

  final Size referenceSize;
  final double ratio;

  Widget _buildIconWidget(String imgPath, String txt) {
    return Container(
      //color: Colors.amber,
      padding: const EdgeInsets.fromLTRB(0, 0, 0, 0),
      child: Stack(
          clipBehavior: Clip.none,
          alignment: Alignment.center,
          textDirection: TextDirection.rtl,
          fit: StackFit.loose,
          children: [
            Image.asset(
              imgPath,
              width: 120 * ratio,
              height: 80 * ratio,
            ),
            Positioned(
              top: 80 * ratio,
              child: Container(
                padding: EdgeInsets.all(4 * ratio),
                width: 120 * ratio,
                decoration: const BoxDecoration(
                  image: DecorationImage(
                      image: AssetImage("assets/lobby/text_bg.png"),
                      fit: BoxFit.fill,
                      opacity: 0.4),
                  // color: Color.fromARGB(255, 82, 86, 176),
                  // borderRadius: BorderRadius.all(Radius.circular(20)),
                ),
                child: Center(
                  child: Text(
                    txt,
                    style: TextStyle(
                      fontSize: 16 * ratio,
                    ),
                  ),
                ),
              ),
            ),
            Positioned(
              top: 48 * ratio,
              right: 0,
              // bottom: 9,
              child: Container(
                width: 44 * ratio,
                height: 44 * ratio,
                decoration: const BoxDecoration(
                  image: DecorationImage(
                    image: AssetImage("assets/lobby/notification_count_bg.png"),
                    fit: BoxFit.fill,
                  ),

                  //  borderRadius: BorderRadius.all(Radius.circular(50)),
                ),
                child: Center(
                    child: Text(
                  '0',
                  style: TextStyle(
                    fontSize: 20 * ratio,
                  ),
                )),
                // constraints: const BoxConstraints(
                //   minWidth: 14,
                //   minHeight: 44,
                // ),
                // child: const Text('0'),
              ),
            ),
          ]),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(
        image: DecorationImage(
          image: AssetImage("assets/lobby/bottom_bar.png"),
          fit: BoxFit.fill,
        ),
      ),
      width: referenceSize.width * ratio,
      height: 130 * ratio,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(width: 60 * ratio),
          _buildIconWidget('assets/lobby/mission.png', 'MISSION'),
          SizedBox(width: 10 * ratio),
          _buildIconWidget('assets/lobby/gift.png', 'GIFTS'),
          SizedBox(width: 10 * ratio),
          _buildIconWidget('assets/lobby/contest.png', 'CONTEST'),
          SizedBox(width: 30 * ratio),
          Image.asset(
            'assets/lobby/wheel.png',
            width: 350 * ratio,
            height: 300 * ratio,
          ),
          SizedBox(width: 20 * ratio),

          // Padding(
          //   padding: const EdgeInsets.fromLTRB(0, 0, 0, 30),
          //   child: Image.asset(
          //     'assets/lobby/wheel.png',
          //     width: 350 * ratio,
          //     height: 200 * ratio,
          //   ),
          // ),
          // SizedBox(width: 40 * ratio),
          _buildIconWidget('assets/lobby/annuncement.png', 'NEWS'),
          SizedBox(width: 10 * ratio),
          _buildIconWidget('assets/lobby/inbox.png', 'INBOX'),
          SizedBox(width: 10 * ratio),
          _buildIconWidget('assets/lobby/social.png', 'SOCIAL'),
        ],
      ),
    );
  }
}
