import 'package:flutter/material.dart';

class RightBar extends StatelessWidget {
  const RightBar({
    Key? key,
    required this.referenceSize,
    required this.ratio,
  }) : super(key: key);

  final Size referenceSize;
  final double ratio;

  Widget _buildIcon(String imgPath, String txt) {
    return Container(
        //color: Colors.amber,
        padding: EdgeInsets.fromLTRB(30 * ratio, 0, 0, 0),
        child: Stack(
          clipBehavior: Clip.none,
          alignment: Alignment.center,
          textDirection: TextDirection.rtl,
          fit: StackFit.loose,
          children: [
            Image.asset(
              imgPath,
              fit: BoxFit.contain,
              width: 90 * ratio,
              height: 70 * ratio,
            ),
            Positioned(
                top: 80 * ratio,
                child: Text(
                  txt,
                  style: TextStyle(fontSize: 12 * ratio),
                )),
          ],
        ));
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 150 * ratio,
      height: 500 * ratio,
      decoration: const BoxDecoration(
        // color: Colors.red,
        image: DecorationImage(
          image: AssetImage("assets/lobby/right_panel.png"),
          fit: BoxFit.fill,
        ),
      ),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          SizedBox(
            height: 40 * ratio,
          ),
          _buildIcon('assets/lobby/piggy_bank.png', 'PIGGY BANK'),
          SizedBox(
            height: 40 * ratio,
          ),
          _buildIcon('assets/lobby/settings.png', 'SETTINGS'),
          SizedBox(
            height: 40 * ratio,
          ),
          _buildIcon('assets/lobby/friends.png', 'FRIENDS'),
          SizedBox(
            height: 40 * ratio,
          ),
          _buildIcon('assets/lobby/bags.png', 'BAGS'),
        ],
      ),
    );
    // return Container(
    //   width: referenceSize.width * ratio,
    //   height: 102 * ratio,
    //   child:
    // );
  }
}
