import 'package:flutter/material.dart';

class TopBar extends StatelessWidget {
  const TopBar({
    Key? key,
    required this.referenceSize,
    required this.ratio,
  }) : super(key: key);

  final Size referenceSize;
  final double ratio;

  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: const BoxDecoration(
          image: DecorationImage(
            image: AssetImage("assets/lobby/top_bar_bg.png"),
            fit: BoxFit.cover,
          ),
        ),
        width: referenceSize.width * ratio,
        height: 70 * ratio,
        child: Row(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Image.asset(
                'assets/lobby/home.png',
                width: 83 * ratio,
                height: 70 * ratio,
              ),
              SizedBox(
                width: 20 * ratio,
              ),
              Container(
                  width: 300 * ratio,
                  height: 70 * ratio,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      image: AssetImage("assets/lobby/coin_bar.png"),
                      fit: BoxFit.contain,
                    ),
                  ),
                  child: Padding(
                    padding: EdgeInsets.symmetric(horizontal: 10 * ratio),
                    child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text("  20,000",
                              style: TextStyle(fontSize: 30 * ratio)),
                          Image.asset(
                            'assets/lobby/coin_plus_icon.png',
                            width: 40 * ratio,
                            height: 40 * ratio,
                          ),
                        ]),
                  )),
              SizedBox(
                width: 72 * ratio,
              ),
              Image.asset(
                'assets/lobby/btn_buy.png',
                width: 160 * ratio,
                height: 66 * ratio,
              ),
              SizedBox(
                width: 6 * ratio,
              ),
              Image.asset(
                'assets/lobby/btn_deal.png',
                width: 160 * ratio,
                height: 66 * ratio,
              ),
              SizedBox(
                width: 60 * ratio,
              ),
              Container(
                  width: 310 * ratio,
                  height: 60 * ratio,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      image: AssetImage(
                          "assets/lobby/level_progress_bar_base.png"),
                      fit: BoxFit.contain,
                    ),
                  ),
                  child: Padding(
                    padding: EdgeInsets.symmetric(horizontal: 10 * ratio),
                    child: Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        children: [
                          Image.asset(
                            'assets/lobby/star.png',
                            width: 80 * ratio,
                            height: 80 * ratio,
                          ),
                          Text("   Level 3",
                              style: TextStyle(fontSize: 30 * ratio)),
                        ]),
                  )),
              SizedBox(
                width: 10 * ratio,
              ),
              Image.asset(
                'assets/lobby/settings.png',
                width: 95 * ratio,
                height: 65 * ratio,
              ),
            ]));
  }
}
